#
# ucpk01.rb
#
# $Id: ucpk01.rb,v 1.1 2000/11/22 14:35:56 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include Math


jd0 = 19920401

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
sgopn(-(iws.abs))

sglset('LFULL', true)
uzfact(0.7)
slrat(0.75, 1.0)
sldiv('T', 1, 7)

sgfrm
uzinit
nd=30
sgswnd(0.0, nd.to_f, 0.0, 1.0)
sgsvpt(0.1, 0.9, 0.1, 0.11)
sgstrn(1)
sgstrf
ucxacl('B', jd0, nd)

sgfrm
uzinit
nd=90
sgswnd(0.0, nd.to_f, 0.0, 1.0)
sgsvpt(0.1, 0.9, 0.1, 0.11)
sgstrn(1)
sgstrf
ucxacl('B', jd0, nd)

sgfrm
uzinit
nd=180
sgswnd(0.0, nd.to_f, 0.0, 1.0)
sgsvpt(0.1, 0.9, 0.1, 0.11)
sgstrn(1)
sgstrf
ucxacl('B', jd0, nd)

sgfrm
uzinit
nd=400
sgswnd(0.0, nd.to_f, 0.0, 1.0)
sgsvpt(0.1, 0.9, 0.1, 0.11)
sgstrn(1)
sgstrf
ucxacl('B', jd0, nd)

sgfrm
uzinit
nd=60
sgswnd(0.0, nd.to_f, 0.0, 1.0)
sgsvpt(0.1, 0.9, 0.1, 0.11)
sgstrn(1)
sgstrf
ucxady('B', jd0, nd)
ctl = 'UCXADY (ND=60)'
uxsttl('B', ctl, 0.0)

sgfrm
uzinit
nd=120
sgswnd(0.0, nd.to_f, 0.0, 1.0)
sgsvpt(0.1, 0.9, 0.1, 0.11)
sgstrn(1)
sgstrf
ucxamn('B', jd0, nd)
ctl = 'UCXAMN (ND=120)'
uxsttl('B', ctl, 0.0)

sgfrm
uzinit
nd=2000
sgswnd(0.0, nd.to_f, 0.0, 1.0)
sgsvpt(0.1, 0.9, 0.1, 0.11)
sgstrn(1)
sgstrf
ucxayr('B', jd0, nd)
ctl = 'UCXAYR (ND=2000)'
uxsttl('B', ctl, 0.0)

sgcls

