#
# kihon9.rb
#
# $Id: kihon9.rb,v 1.1 2000/11/21 03:15:39 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include NMath


nmax = 40
xmin = 0.0
xmax = 4*PI
ymin = -1.0
ymax = 1.0

x = NArray.sfloat(nmax+1)
y = NArray.sfloat(nmax+1)

#-- data ---
dt = xmax/nmax
x = x.indgen * dt
y = sin(x)

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
sgopn iws

sgfrm

#--  饤󥿥 = 4 (ǥե) ----
sgswnd(xmin, xmax, ymin, ymax)
sgsvpt(0.0, 1.0, 0.7, 0.9)
sgstrn(1)
sgstrf

sgsplt(4)
sgplu(nmax+1, x, y)

#--  饤󥿥 = 4 (BITLEN*2) ----
sgswnd(xmin, xmax, ymin, ymax)
sgsvpt(0.0, 1.0, 0.5, 0.7)
sgstrn(1)
sgstrf

sgrset('BITLEN', 0.006)
sgplu(nmax+1, x, y)

sgrset('BITLEN', 0.003)

#--  ӥåȥѥ ----
sgswnd(xmin, xmax, ymin, ymax)
sgsvpt(0.0, 1.0, 0.3, 0.5)
sgstrn(1)
sgstrf

#itype = bitpci('1111111100100100')
itype = '0b1111111100100100'.oct
sgsplt(itype)
sgplu(nmax+1, x, y)

#--  ӥåȥѥ(Ĺ) ----
sgswnd(xmin, xmax, ymin, ymax)
sgsvpt(0.0, 1.0, 0.1, 0.3)
sgstrn(1)
sgstrf

sgiset('NBITS', 32)
#itype = bitpci('10010010011111000111110001111100')
itype =  '0b10010010011111000111110001111100'.oct -  ('0b1' + "0"*32).oct 
sgsplt(itype)
sgplu(nmax+1, x, y)

sgcls

